Show / Hide Table of Contents

# Class SignatureInformation

##### Inheritance

System.Object
SignatureInformation

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class SignatureInformation

### Properties

| Improve this Doc View Source

#### Documentation

##### Declaration

    public string Documentation { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Label

##### Declaration

    public string Label { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Parameters

##### Declaration

    public ParameterInformation[] Parameters { get; set; }

##### Property Value

Type | Description
--- | ---
ParameterInformation[] |